'use strict';
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var fs = require("fs-extra");
var Errors = require("./server-errors");
exports.Errors = Errors;
var Return = require("./server-return");
exports.Return = Return;
var server_1 = require("./server");
__export(require("./decorators"));
__export(require("./server-types"));
__export(require("./server"));
var CONFIG_FILE = path.join(process.cwd(), 'rest.config');
if (fs.existsSync(CONFIG_FILE)) {
    var config = fs.readJSONSync(CONFIG_FILE);
    if (config.useIoC) {
        server_1.Server.useIoC();
    }
    else if (config.serviceFactory) {
        if (config.serviceFactory.indexOf('.') === 0) {
            config.serviceFactory = path.join(process.cwd(), config.serviceFactory);
        }
        var serviceFactory = require(config.serviceFactory);
        server_1.Server.registerServiceFactory(serviceFactory);
    }
}
//# sourceMappingURL=typescript-rest.js.map